#pragma once
#include <map>
struct M_QianDaoData
{
	//天数
	int mDay;
	//奖励物品ID
	std::vector<int> mItemId;
	//奖励物品数量
	std::vector<int> mItemNumber;
};

class M_QianDao
{
public:
private:
	static std::auto_ptr<M_QianDao> msSingleton;
public:
	int GetCount();
	const M_QianDaoData* GetData(int Day);
	const std::map<int, M_QianDaoData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_QianDao* GetSingleton();
	static void Release();
private:
	std::map<int, M_QianDaoData> mMapData;
};
